# Reports

# Get delivery reports (DLR) basic

# Description

You can use this API get Delivery reports.

# Endpoint

    POST https://019sms.co.il/api
  

# Parameters

Name Type Description Required
dlr object Contains all other elements. ✔️
user object Contains the user element. ✔️
username string The username of the account by which you are recognized in the system ✔️
transactions object Contains all sms destinations you wish to receive DLR’s for. May contain multiple external_id fields. ✔️
external_id string The id you have sent as an attribute while submitted the SMS. ✔️
from object The start date to take DLR’s from. Format : dd/mm/yy hh:mm ✔️
to object The end date to take DLR’s from. Format : dd/mm/yy hh:mm ✔️

Note

  • The date range that is allowed to pick from is up to 1 week.
  • The max limit of external_id's in each request is 1000.

# Request Example

json
Copy code
    {
  "dlr": {
    "user": {
      "username": "Leeroy"
    },
    "transactions": {
      "external_id": [
        "some id 1",
        "some id 2"
      ]
    },
    "from": "01/01/14 00:00",
    "to": "01/01/14 23:59"
  }
}

  
xml
Copy code
    <?xml version="1.0" encoding="UTF-8"?>
<dlr>
    <user>
        <username>Leeroy</username>
    </user>
    <transactions>
        <external_id>some id 1</external_id> <external_id>some id
        2</external_id>
    </transactions>
    <from>01/01/14 00:00</from>
    <to>01/01/14 23:59</to>
</dlr>

  

# Response Example

json
Copy code
    {
  "status": 0,
  "message": "all is well!",
  "transactions": [
    {
      "external_id": "1391438285",
      "source": "Test",
      "phone": "5XXXXXXXX",
      "status": "102",
      "message_he": "הגיע ליעד",
      "en_message": "Delivered",
      "shipment_id": "XXXXXXX",
      "date": "02/05/23 10:22",
      "operator": "Telzar"
    },
    {
      "external_id": "1391438285",
      "source": "Test",
      "phone": "5XXXXXXXX",
      "status": "102",
      "message_he": "הגיע ליעד",
      "en_message": "Delivered",
      "shipment_id": "XXXXXXX",
      "date": "02/05/23 10:23",
      "operator": "Telzar"
    }
  ]
}

  
xml
Copy code
    <?xml version="1.0" encoding="UTF-8"?>
<dlr>
    <status>0</status>
    <message></message>
    <transactions>
        <transaction>
            <external_id>1391438285</external_id>
            <status>102</status>
            <he_message>הגיע ליעד</he_message>
            <en_message>Delivered</en_message>
            <date>03/02/14 16:38</date>
            <shipment_id>12345678</shipment_id>
        </transaction>
        <transaction>
            <external_id>1391438286</external_id>
            <status>102</status>
            <he_message>הגיע ליעד</he_message>
            <en_message>Delivered</en_message>
            <date>03/02/14 16:38</date>
            <shipment_id>12345678</shipment_id>
        </transaction>
    </transactions>
</dlr>

  

Note

Full description of the response status and message can be found in here:

# Get Delivery reports by date(dlrByDate)

# Description

You can use this API to get Delivery reports without external id .

# Endpoint

    POST https://019sms.co.il/api
  

# Parameters

Name Type Description Required
dlrbyDate object Contains all other elements. ✔️
user object Contains the user element. ✔️
username string The username of the account by which you are recognized in the system ✔️
transactions object Contains all sms destinations you wish to receive DLR’s for. May contain multiple external_id fields. ✔️
external_id string Can contain a value of null . ✔️
from object The start date to take DLR’s from. Format : dd/mm/yy hh:mm ✔️
to object The end date to take DLR’s from. Format : dd/mm/yy hh:mm ✔️

Note

  • The date range that is allowed to pick from is up to 1 week.

# Request Example

json
Copy code
    {
  "dlrByDate": {
    "user": {
      "username": "Leeroy"
    },
    "transactions": {
      "external_id": "null"
    },
    "from": "04/09/22 00:00",
    "to": "04/09/22 23:59"
  }
}

  
xml
Copy code
    <?xml version="1.0" encoding="UTF-8"?>
<dlrByDate>
    <user>
        <username>Leeroy</username>
    </user>
    <transactions>
        <external_id>null</external_id>
    </transactions>
    <from>01/01/14 00:00</from>
    <to>01/01/14 23:59</to>
</dlrByDate>

  

# Response Example

json
Copy code
    {
  "status": 0,
  "message": "all is well!",
  "transactions": [
    {
      "external_id": "1391438285",
      "source": "Test",
      "phone": "5XXXXXXXX",
      "status": "102",
      "message_he": "הגיע ליעד",
      "en_message": "Delivered",
      "shipment_id": "XXXXXXX",
      "date": "02/05/23 10:22",
      "operator": "Telzar"
    },
    {
      "external_id": "1391438285",
      "source": "Test",
      "phone": "5XXXXXXXX",
      "status": "102",
      "message_he": "הגיע ליעד",
      "en_message": "Delivered",
      "shipment_id": "XXXXXXX",
      "date": "02/05/23 10:23",
      "operator": "Telzar"
    }
  ]
}

  
xml
Copy code
    <?xml version="1.0" encoding="UTF-8"?>
<dlr>
    <status>0</status>
    <message></message>
    <transactions>
        <transaction>
            <external_id>1391438285</external_id>
            <status>102</status>
            <he_message>הגיע ליעד</he_message>
            <en_message>Delivered</en_message>
            <date>03/02/14 16:38</date>
            <shipment_id>12345678</shipment_id>
        </transaction>
        <transaction>
            <external_id>1391438286</external_id>
            <status>102</status>
            <he_message>הגיע ליעד</he_message>
            <en_message>Delivered</en_message>
            <date>03/02/14 16:38</date>
            <shipment_id>12345678</shipment_id>
        </transaction>
    </transactions>
</dlr>

  

Note

Full description of the response status and message can be found in here:

# Get Incoming SMS

# Description

You can use this API to get Incoming reports.

# Endpoint

    POST https://019sms.co.il/api
  

# Parameters

Name Type Description Required
incoming object Contains all other elements. ✔️
user object Contains the user element. ✔️
username string The username of the account by which you are recognized in the system ✔️
from object The start date to take Incoming’s from. Format : dd/mm/yy hh:mm ✔️
to object The end date to take Incoming’s from. Format : dd/mm/yy hh:mm ✔️

Note

  • The date range that is allowed to pick from is a range of 1 week up to 1 year back.

# Request Example

json
Copy code
    {
  "incoming": {
    "user": {
      "username": "Leeroy"
    },
    "from": "01/11/22 00:00",
    "to": "01/11/22 23:59"
  }
}

  
xml
Copy code
    <?xml version="1.0" encoding="UTF-8"?>
<incoming>
    <user>
        <username>Leeroy</username>
    </user>
    <from>01/01/15 00:00</from>
    <to>01/01/15 23:59</to>
</incoming>

  

# Response Example

json
Copy code
    {
  "status": 0,
  "message": "",
  "transactions": [
    {
      "source": "test",
      "destination": "9725XXXXXXX",
      "message": "test ",
      "date": "01/05/23 00:00"
    },
    {
      "source": "test1",
      "destination": "9725XXXXXXX",
      "message": "test",
      "date": "01/05/23 00:00"
    }
  ]
}

  
xml
Copy code
    <?xml version="1.0" encoding="UTF-8"?>
<incoming>
    <status>0</status>
    <message></message>
    <transactions>
        <transaction>
            <source>05********</source>
            <destination>05********</destination>
            <message> This is a sample message</message>
            <date>03/12/14 16:38</ date>
        </transaction>
        <transaction>
            <source>05********</source>
            <destination>05********</destination>
            <message> This is a test message</message>
            <date>03/12/14 12:33</date>
        </transaction>
    </transactions>
</incoming>

  

Note

Full description of the response status and message can be found in here:

Last Updated: 8/23/2023, 11:39:26 AM